curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/vacation_pay_settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/vacation_pay_settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/vacation_pay_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "vacation_pay_setting",
"data": {
"percentage": 4,
"vacation_pay_method": "manual",
"effective_from": "2026-01-01",
"effective_to": null,
"earliest_valid_effective_to": "2026-01-01",
"is_editable": true,
"is_deletable": true,
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"business_preset": null,
"note": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/vacation_pay_settings/<id>"
}
}
],
"links": {
"first": "/vacation_pay_settings?work_assignment_id=<id>&page=1",
"last": "/vacation_pay_settings?work_assignment_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"has_more": false
}
}List vacation pay settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
Sort order is specified using the format
sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by
and direction is the optional sort direction (asc or desc).
effective_from, effective_to, work_assignment.payee.default, work_assignment.payee.first_name, work_assignment.payee.last_name business_preset, work_assignment Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("vacation_pay_setting").
- Default
- With work_assignment expanded
- With business_preset expanded
Hide child attributes
Hide child attributes
manual, per_period When false, only the effective_to, business_preset_id, and note attributes may be updated.
The Business Preset the generated vacation payout line item is created from. The payout carries the preset's title and accounting codes, and accounting code rules that target the preset apply to it. When the preset sets no title, the payout keeps its default "Vacation Pay Out" title. null when the setting names no preset.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

